#!/bin/sh
cleanup() {
    rm -Rf $TMPFILE
	echo "Terminated."
	exit 1
}

parse () {
TMPSTR=`cat $TMPFILE/$GETPAGE  \
	| tr '\r' '\n' | grep -o '<div>.*</div>' \
	| sed -e 's_</div>_%_g' -e 's_<div>_%_g' \
	-e '/^$/d' -e 's/&lt;/</g' -e 's/&gt;/>/g' \
	-e 's/&quot;/"/g' \
	-e 's/% %/%/g' -e 's/%%%/%/g' -e 's/%%/%/g' \
	| iconv -c -f cp1251 -t koi8-r \
	| sed -e '/^ $/d' -e 's_<br>__g' -e 's_<br />__g'\
	| tr -d '\n' | sed -e 's/<br>//g' -e 's/%/%/g' -e 's_%%_%_g' `
IFS=''
for str in $TMPSTR; do
      echo $str 
done
unset IFS

}


trap cleanup 1 2 3 4 5 6 7 8 10 11 12 13 14 15 16 21 22 23 24 25 26 27 28 \
             30 31

TMPFILE=`mktemp -t fortupdate` || exit 1
RESULT=`mktemp -t fortupdate` || exit 1

BASEURL='http://bash.org.ru'
GETPAGE='browse';

wget -P $TMPFILE "$BASEURL/$GETPAGE" 2> /dev/null 1> /dev/null

NUMPAGES="`cat $TMPFILE/$GETPAGE | grep '<div class="pager"'|grep -o 'browse/[0-9]*'| sed -e 's_browse/__g' | sort -n | tail -1 | tr -d '\n'`"
parse > ${RESULT}

num=2
while [ $num -le ${NUMPAGES} ]; do
	wget -O $TMPFILE/$GETPAGE  "$BASEURL/$GETPAGE/$num" 2> /dev/null 1> /dev/null
	parse  >> ${RESULT}
	num=$(($num +1))
done


strfile -s -r -c% ${RESULT}
mv ${RESULT}  /usr/local/share/games/fortune/rus/fortune-bashorgru
mv ${RESULT}.dat /usr/local/share/games/fortune/rus/fortune-bashorgru.dat
chown root:wheel /usr/local/share/games/fortune/rus/fortune-bashorgru*
chmod 644 /usr/local/share/games/fortune/rus/fortune-bashorgru*

rm -Rf ${TMPFILE} ${RESULT} ${RESULT}.dat
